Page MenuHomePhabricator

MySQL search only finds whole-word exact matches
Closed, ResolvedPublic

Description

T75854 asks for specifics, so searching for "hhvm stacktrace" (https://phabricator.wikimedia.org/maniphest/query/1DdIq5aa5Ei0/#R) does not bring up T89169. The bug contains both words I searched for.

See also: T98579: Search in Phabricator fails to find "WP:QT", "fr:WP:QT"
Upstream: T6552

Event Timeline

Legoktm created this task.Mar 29 2015, 9:28 AM
Legoktm raised the priority of this task from to Normal.
Legoktm updated the task description. (Show Details)
Legoktm added a project: Phabricator.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2015, 9:28 AM
TTO added a subscriber: TTO.Mar 29 2015, 9:34 AM

Actually that task only contains the plural form stacktraces. If you search for "hhvm stacktraces" it comes up... Hardly ideal.

Aklapper closed this task as Invalid.Mar 30 2015, 9:23 AM
Aklapper claimed this task.

The default search backend has no substring search, so the current results are correct.
This would be fixed by using ElasticSearch which we once already tried; see T75854#1053174

Aklapper lowered the priority of this task from Normal to Lowest.Mar 30 2015, 9:23 AM
Aklapper set Security to None.
Legoktm reopened this task as Open.Mar 30 2015, 8:42 PM
Legoktm added a subscriber: Legoktm.

The default search backend has no substring search, so the current results are correct.

They're not correct. Correct results would include T89169.

And that doesn't make the task invalid. You asked "If there are still specific issues with the current, please bring them up in dedicated tasks with clear steps to reproduce", I found a specific issue that is reproducible, and filed a dedicated task for it.

If you're just going to close tasks as invalid, don't ask people to file them.

Aklapper removed Aklapper as the assignee of this task.Mar 31 2015, 12:30 PM

True, I should have written "words" instead of (sub)strings. Sorry for that.

Still this won't change until someone investigates time to fix and reintroduce the ElasticSearch backend...

Aklapper renamed this task from Searching for "hhvm stacktrace" does not bring up T89169 to ElasticSearch backend so searching for "hhvm stacktrace" will bring up T89169.Mar 31 2015, 12:31 PM
jayvdb added a subscriber: jayvdb.Apr 1 2015, 12:24 AM

True, I should have written "words" instead of (sub)strings. Sorry for that.
Still this won't change until someone investigates time to fix and reintroduce the ElasticSearch backend...

Why does it matter that it is fixed in elasticsearch? Someone could also fix it in the "default" search backend.

Nemo_bis renamed this task from ElasticSearch backend so searching for "hhvm stacktrace" will bring up T89169 to MySQL search only finds whole-word exact matches.May 15 2015, 6:32 AM
Nemo_bis updated the task description. (Show Details)
Restricted Application added a subscriber: scfc. · View Herald TranscriptJun 16 2015, 12:51 PM
Nnemo awarded a token.Aug 2 2015, 5:57 PM
Nnemo added a subscriber: Nnemo.
mmodell updated the task description. (Show Details)
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 11 2016, 9:01 PM
Danny_B moved this task from To Triage to Upgrades on the Phabricator board.Jul 9 2016, 8:17 PM
Paladox closed this task as Resolved.Jun 4 2017, 2:10 PM
Paladox added a subscriber: Paladox.

We use elasticsearch now. Also mysql searching has got better since this task was filled.